# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "saola-sql-query-connector"
version = "0.1.1"
authors = [
    "ravikan6",
    "Prisma Team",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "SQL database connector for Saola query engine (PostgreSQL, MySQL, SQLite, MSSQL)"
readme = false
keywords = [
    "connector",
    "sql",
    "database",
    "orm",
    "query-engine",
]
license = "Apache-2.0"
repository = "https://github.com/saola-rs/saola"
resolver = "2"

[features]
all-native = [
    "sqlite-native",
    "mysql-native",
    "postgresql-native",
    "mssql-native",
    "cockroachdb-native",
]
cockroachdb = [
    "relation_joins",
    "quaint/postgresql",
    "psl/cockroachdb",
]
cockroachdb-native = [
    "cockroachdb",
    "quaint/postgresql-native",
    "quaint/pooled",
]
driver-adapters = []
metrics = ["quaint/metrics"]
mssql = [
    "quaint/mssql",
    "psl/mssql",
]
mssql-native = [
    "mssql",
    "quaint/mssql-native",
    "quaint/pooled",
]
mysql = [
    "relation_joins",
    "quaint/mysql",
    "psl/mysql",
]
mysql-native = [
    "mysql",
    "quaint/mysql-native",
    "quaint/pooled",
]
postgresql = [
    "relation_joins",
    "quaint/postgresql",
    "psl/postgresql",
]
postgresql-native = [
    "postgresql",
    "quaint/postgresql-native",
    "quaint/pooled",
]
relation_joins = ["sql-query-builder/relation_joins"]
sqlite = [
    "quaint/sqlite",
    "psl/sqlite",
]
sqlite-native = [
    "sqlite",
    "quaint/sqlite-native",
    "quaint/pooled",
]
telemetry = [
    "dep:telemetry",
    "quaint/telemetry",
]
vendored-openssl = ["quaint/vendored-openssl"]

[lib]
name = "saola_sql_query_connector"
path = "src/lib.rs"

[[example]]
name = "mysql_async"
path = "examples/mysql_async.rs"

[[example]]
name = "quaint_query"
path = "examples/quaint_query.rs"

[[example]]
name = "tokio_pg"
path = "examples/tokio_pg.rs"

[dependencies.anyhow]
version = "1"

[dependencies.async-trait]
version = "0.1"

[dependencies.base64]
version = "0.22"

[dependencies.bigdecimal]
version = "0.3"

[dependencies.chrono]
version = "0.4"
features = [
    "serde",
    "serde",
]

[dependencies.connector-interface]
version = "0.1.0"
package = "saola-query-connector"

[dependencies.futures]
version = "0.3"

[dependencies.itertools]
version = "0.13"

[dependencies.panic-utils]
version = "0.1.0"
package = "saola-panic-utils"

[dependencies.prisma-value]
version = "0.1.0"
package = "saola-prisma-value"

[dependencies.psl]
version = "0.1.0"
default-features = false
package = "saola-psl"

[dependencies.quaint]
version = "0.2.0-alpha.13"
default-features = false
package = "saola-quaint"

[dependencies.query-builder]
version = "0.1.0"
package = "saola-query-builder"

[dependencies.query-structure]
version = "0.1.0"
package = "saola-query-structure"

[dependencies.rand]
version = "0.8"

[dependencies.serde]
version = "1.0"
features = [
    "derive",
    "derive",
]

[dependencies.serde_json]
version = "1.0"
features = [
    "raw_value",
    "preserve_order",
    "float_roundtrip",
]

[dependencies.sql-query-builder]
version = "0.1.0"
package = "saola-sql-query-builder"

[dependencies.telemetry]
version = "0.1.0"
optional = true
package = "saola-telemetry"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1.0"
features = [
    "full",
    "macros",
    "time",
]

[dependencies.tracing]
version = "0.1"
features = ["log"]

[dependencies.tracing-futures]
version = "0.2"

[dependencies.ulid]
version = "1"

[dependencies.user-facing-errors]
version = "0.1.0"
features = ["sql"]
package = "saola-user-facing-errors"

[dependencies.uuid]
version = "1.0"
features = [
    "v4",
    "v7",
    "js",
    "serde",
]

[dev-dependencies.expect-test]
version = "1"
